OpenNMS API 1.2.9

## org.opennms.netmgt.collectd
Class IfInfo

    java.lang.Object
      org.opennms.netmgt.collectd.IfInfo

final class IfInfo
extends java.lang.Object

This class encapsulates all the information required by the SNMP collector in order to perform data collection for an individual interface and store that data in an appropriately named RRD file.

Author:
  Mike Davidson , OpenNMS

Field Summary
`private java.lang.String` `m_collType`
`private java.util.List` `m_dsList`
`private int` `m_index`
`private boolean` `m_isPrimary`
`private java.lang.String` `m_label`
`private java.util.List` `m_oidList`
`private int` `m_type`

Constructor Summary
`IfInfo(int ifIndex, int ifType, java.lang.String ifLabel, java.lang.String collType)`

Method Summary
`java.lang.String` `getCollType()`
`java.util.List` `getDsList()`
`int` `getIndex()`
`boolean` `getIsPrimary()`
`java.lang.String` `getLabel()`
`java.util.List` `getOidList()`
`int` `getType()`
`void` `setDsList(java.util.List dsList)`
`void` `setIsPrimary(boolean isPrimary)`
`void` `setOidList(java.util.List oidList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_index

    private int m_index

### m_type

    private int m_type

### m_label

    private java.lang.String m_label

### m_collType

    private java.lang.String m_collType

### m_isPrimary

    private boolean m_isPrimary

### m_oidList

    private java.util.List m_oidList

### m_dsList

    private java.util.List m_dsList

Constructor Detail

### IfInfo

    public IfInfo(int ifIndex,
                  int ifType,
                  java.lang.String ifLabel,
                  java.lang.String collType)

Method Detail

### setIsPrimary

    public void setIsPrimary(boolean isPrimary)

### setDsList

    public void setDsList(java.util.List dsList)

### setOidList

    public void setOidList(java.util.List oidList)

### getIndex

    public int getIndex()

### getType

    public int getType()

### getLabel

    public java.lang.String getLabel()

### getCollType

    public java.lang.String getCollType()

### getIsPrimary

    public boolean getIsPrimary()

### getDsList

    public java.util.List getDsList()

### getOidList

    public java.util.List getOidList()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.